//
// C++ Implementation: timescale
//
// Description: 
//
//
// Author: Szymon Acedanski <accek@podlesie.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include <string.h>
#include <stdlib.h>

#include <qpainter.h>

#include "ar3cmonitor.h"
#include "action.h"

// Action

Action::Action(Ar3cMonitor *owner, const char *name)
    : QObject(owner->RootWidget, name), Owner(owner)
{
}

// AcQuit

void AcQuit::run()
{
	qa->quit();
}

// AcNop

void AcNop::run()
{
}

// AcDebug

AcDebug::AcDebug(const char* info, Ar3cMonitor* owner, const char* name)
    : Action(owner, name), info(strdup(info))
{
}

AcDebug::~AcDebug()
{
    free(info);
}

void AcDebug::run()
{
	qWarning("%s", info);
}

// AcChTab

AcChTab::AcChTab(int tab, Ar3cMonitor* owner, const char* name)
    : Action(owner, name), tab(tab)
{
}

void AcChTab::run()
{
    Owner->activateTab(tab);
}

// AcSignal

AcSignal::AcSignal(Ar3cMonitor* owner, const char* name)
    : Action(owner, name)
{
}

void AcSignal::run()
{
    emit sig();
}

