/*
 * ar3cmonitor - ledwidget.h
 *
 * Copyright (C) 2004  Szymon Acedanski <accek@podlesie.net>
 * Copyright (C) 2006..2011  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef LEDWIDGET_H_INCLUDED
#define LEDWIDGET_H_INCLUDED

#include <qwidget.h>
#include <qstring.h>
#include <qcolor.h>
#include "bufferedwidget.h"

class LedWidget : public BufferedWidget {
	Q_OBJECT
private:
	bool unknown;
	int physical;
	QColor activecolor;
	QColor inactivecolor;

protected:
	void paint(QPainter *p);

public:
	LedWidget(int _physical, QColor _activecolor, QColor _inactivecolor,
			QWidget *parent = 0, const char *name = 0,
			Qt::WFlags f = 0);

public slots:
	void haveDataChanged();
};

class LedLabel : public BufferedWidget {
	Q_OBJECT
private:
	QColor activecolor;
	QString text;
	QString short_text;
	int physical;
	int width_cached;

	void generate_text(void);

protected:
	void paint(QPainter *p);

public:
	LedLabel(int _physical, const QString &caption, QColor _activecolor,
			QWidget *parent = 0, const char *name = 0,
			Qt::WFlags f = 0);

	QSize minimumSizeHint(void) const;
	QSize sizeHint(void) const;
	QSizePolicy sizePolicy(void) const;

};

#endif
