//
// C++ Implementation: myseparator
//
// Description: 
//
//
// Author: Szymon Acedanski <accek@podlesie.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include <qpainter.h>

#include "myseparator.h"

MySeparator::MySeparator(bool horiz, QWidget *parent, const char *name, Qt::WFlags f)
    : QWidget(parent, name, f), horiz(horiz)
{
    setBackgroundColor(Qt::black);
}

void MySeparator::paintEvent(QPaintEvent *)
{
    QPainter p(this);

    int h = height();
    int w = width();

    p.setPen(Qt::white);
    if (horiz)
    {
        h /= 2;
        p.drawLine(0, h, w, h);
    }
    else
    {
        w /= 2;
        p.drawLine(w, 0, w, h);
    }
}
