/*
 * ar3cmonitor - wskaz.h
 *
 * Copyright (C) 2004  Szymon Acedanski <accek@podlesie.net>
 * Copyright (C) 2006..2011  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __WSKAZ_H
#define __WSKAZ_H

#include <qwidget.h>
#include <qstring.h>
#include <qcolor.h>

#include "bufferedwidget.h"
#include "onoffwidget.h"

class WskazBar;
class WskazScale;

class Wskaz : public QWidget {
	Q_OBJECT
private:
	WskazBar * Bar;
	WskazScale *Scale;
	OnOffLabel *PosV;
	OnOffLabel *VelV;
	int posPhys, velPhys;
	float posUV, velUV;
	float posMin, posMax;
	float velMin, velMax;

private slots:
	void upd();

public:
	/* FIXME */
	Wskaz(int _posPhys, int _velPhys, float _posUV, float _velUV,
			float _posMin, float _posMax, float _velMin,
			float _velMax, int level_count,
			struct ar3cm_level *levels, int left,
			QWidget *parent = 0,
			const char *name = 0, Qt::WFlags f = 0);
};

class WskazBar : public BufferedWidget {
	Q_OBJECT
private:
	float Min, Max;
	float value;
	int valid;
	int left;

protected:
	void paint(QPainter *p);

public:
	WskazBar(float _Min, float _Max, int _left, QWidget *parent = 0,
		const char *name = 0, Qt::WFlags f = 0);

	void setValue(float v);
	void set_inval(void);
};

class WskazScale : public BufferedWidget {
	Q_OBJECT
private:
	float Min, Max;
	int level_count;
	struct ar3cm_level *levels;

protected:
	void paint(QPainter *p);

public:
	 WskazScale(float _Min, float _Max, int level_count,
			struct ar3cm_level *levels, QWidget *parent = 0,
			const char *name = 0, Qt::WFlags f = 0);
};

#endif
